function tries = build_tries_nowindow(data, alphabet_size, feature_idxs, trie_word_size)
% builds the tries, assuming the data has already been sax-ified AND assumes the
% data was SAX-ified without a sliding window

% build a separate tree for each feature in the data
for f = 1:length(feature_idxs)
   tries(f).trie = build_trie_nowindow(data, feature_idxs(f), ...
       alphabet_size, trie_word_size);
   tries(f).feature_idx = feature_idxs(f);
end
