function rules = combine_rules2(data, tries, min_pod, max_far, ...
                overlap_window, rules1, rules2, best_csi)

% Combine rules finds all multi_word rules. It continues to concatenate
% rules until there are no multi-word or single-word rules left to try to
% concatenate

rule_index = 1;

%initialize rules to a generic rule
rules(rule_index).features = [];
rules(rule_index).trie = tries(1).trie;
rules(rule_index).pod = 0;
rules(rule_index).fa_rate = 0;
rules(rule_index).fa_ratio = 0;
rules(rule_index).csi = 0;
rules(rule_index).csi_weight = 0;
%rules(rule_index).chis = 0;
%rules(rule_index).p_vals = 0;
rules(rule_index).exist = 0;

% For each rule in rules1, iterate through all rules in rules2 and try to
% concatenate them.
for idx1 = 1:length(rules1)
    for idx2 = 1:length(rules2)
        % Test if the two words can be combined to make a rule that
        % satisfies the POD-FARatio requirement
        [tester, rule] = is_valid_rule2(rules1(idx1), rules2(idx2),...
            min_pod, max_far, data(1).num_pos, data(1).num_neg, overlap_window);
        
        % If the two words make a valid rule and the csi of the rule is 
        % greater than the best csi seen on the last set of rules found, 
        % add the new rule to the struct of rules
        if(tester && ((rule.csi > best_csi) || rule.csi == 1))
            rules(rule_index) = rule;
            rule_index = rule_index + 1;
        end
    end
end

