% Concatenate data from multiple disks into a single data structure
% fields must be pulled out of the structs individually because the structs
% in each data file are stored with fields in variable order and matlab
% cannot reconcile structs with the same variables stored in different
% orders.

load telesto_data;
tel_data = data;
clear data;

load tethys_data;
tet_data = data;

clear data;

% First get all of the positive storms from each disk
idx = 1;
for p = 1:tel_data(1).num_pos
  data(idx).label = tel_data(p).label;
  data(idx).pos = tel_data(p).pos;
  data(idx).pos_name = tel_data(p).pos_name;
  idx = idx + 1;
end

for p = 1:tet_data(1).num_pos
  data(idx).label = tet_data(p).label;
  data(idx).pos = tet_data(p).pos;
  data(idx).pos_name = tet_data(p).pos_name;
  idx = idx + 1;
end

% Get all of the maybe storms from each disk
idx = 1;
for p = 1:tel_data(1).num_maybe
  data(idx).maybe = tel_data(p).maybe;
  data(idx).maybe_name = tel_data(p).maybe_name;
  idx = idx + 1;
end

for p = 1:tet_data(1).num_maybe
  data(idx).maybe = tet_data(p).maybe;
  data(idx).maybe_name = tet_data(p).maybe_name;
  idx = idx + 1;
end


% Get all of the negative storm data from each disk
idx = 1;
for p = 1:tel_data(1).num_neg
  data(idx).neg = tel_data(p).neg;
  data(idx).neg_name = tel_data(p).neg_name;
  idx = idx + 1;
end

for p = 1:tet_data(1).num_neg
  data(idx).neg = tet_data(p).neg;
  data(idx).neg_name = tet_data(p).neg_name;
  idx = idx + 1;
end

% now combine in the maybes into the negatives
% this is optional
% data(1).num_maybe = tel_data(1).num_maybe + tet_data(1).num_maybe;
% for p = 1:data(1).num_maybe
%   data(idx).neg = data(p).maybe;
%   data(idx).neg_name = data(p).maybe_name;
%   idx = idx + 1;
% end

data(1).num_pos = tel_data(1).num_pos + tet_data(1).num_pos;
data(1).num_maybe = tel_data(1).num_maybe + tet_data(1).num_maybe;
data(1).num_neg = tel_data(1).num_neg + tet_data(1).num_neg + data(1).num_maybe;

% copy the maybes into the nos
% this is optional
idx = 1;
for p = 1:data(1).num_maybe
  data(idx).neg = data(p).maybe;
  data(idx).neg_name = data(p).maybe_name;
  idx = idx + 1;
end

for p = idx:data(1).num_neg
  data(p).neg = []
  data(p).neg_name = []
end

data(1).num_neg = data(1).num_maybe;

createWindowData;
data = new_data;

% Combine all of the tornado data to a single struct and save the structure 
% to the tornadoData.mat file
save tornadoData data;
