% rootPath = '/idea/mining_mocap/subject16/';
rootPath = '/idea/mining_mocap/subject91/';
print_rules = 1;

% load the top parameters
top_parms;

% number of top parameters to print
num_top = 1;

% for the weather data, it is 88
% num_features = 88;
% for the cmu_mocap data it is 62
num_features = 62;

counts = zeros(num_top,num_features);
num_rules = 10;

% alphabet_sizes = [5, 5, 7];
% trie_word_sizes = [3, 3, 2];
% averaging_intervals = [2, 4, 4];

% alphabet_sizes = [5];
% trie_word_sizes = [3];
% averaging_intervals = [2];

% load in a single storm to showcase the rules
% WK14_half_r15_4km
% load orig_data;

if (print_rules)
  % load in subject 16's data
   % load cmuMocap16;
   load cmuMocap91;
end

global averaging_interval alphabet_size trie_word_size;

for k = 1:num_top
    train_order_counts(k).counts = zeros(4,num_features);
end

for k = 1:num_top
    alphabet_size = sorted_parms(k,1);
    trie_word_size = sorted_parms(k,2);
    averaging_interval = sorted_parms(k,3);

    this_dir = ['let', num2str(alphabet_size), '_word', num2str(trie_word_size), ...
        '_avg', num2str(averaging_interval)]
    fullPath = [rootPath, this_dir, '/']
    % load the data
    load([fullPath, 'training_rules']);

    % and get the counts for the top rules
    for r = 1:num_rules
      if (r > length(new_rules) | new_rules(r).features == 0)
	break
      else
        rule = new_rules(r);
        for f = 1:length(rule.features)
          counts(k, rule.features(f)) = counts(k, rule.features(f)) + 1;
          train_order_counts(k).counts(f, rule.features(f)) = ...
              train_order_counts(k).counts(f, rule.features(f)) + 1;
        end
      end
    end

    if (print_rules)
        disp('loading trie data...');
        % load in the data to subset
        load([fullPath, 'feature_map']);
        load([fullPath, 'tornadoTrieNewAll']);
        disp('done loading trie data...');

        % load in the subset tries and features
        feature_idxs = [1:num_features];

        for r = 1:num_rules
            new_rules(r).pod_cross_val = 0;
            new_rules(r).fa_ratio_cross_val = 0;
            new_rules(r).csi_cross_val = 0;
        end

        % subject 16 used example_idx = 2;
        example_idx = 2;
        example_label = 1;
        fullPath
        plot_rules_combined(data, tries, new_rules(1:num_rules), example_idx, ...
                            example_label, [fullPath, 'training_rules/'], ...
                            data(example_idx).pos);
    end

end

save all_counts counts;

% load([fullPath, 'subset_map']);
% fid = fopen('feature_counts_all.csv', 'w');
% 
% str = ['Alphabet size, Trie word size, Averaging interval, '];
% fprintf(fid, '%s', str);
% 
% for f = 1:length(feature_map)
%     fprintf(fid, '%s, ', feature_map(f).name);
% end
% fprintf(fid, '\n');
% 
% for a = 1:length(alphabet_sizes)
%     alphabet_size = alphabet_sizes(a);
%     trie_word_size = trie_word_sizes(a);
%     averaging_interval = averaging_intervals(a);
% 
%     str = num2str(counts(a,:), ', %d');
%     fprintf(fid, '%d, %d, %d%s\n', alphabet_size, ...
%         trie_word_size, averaging_interval, str);
% end
% 
% fclose(fid);
% 
