rootPath = '/idea/mining_mocap/subject91/';
% rootPath = '/idea/mining_mocap/subject16/';
print_rules = 0;

% load the top parameters
top_parms;

num_folds = 10;

% number of top parameters to print
num_top = 3;

% for the weather data, it is 88
% num_features = 88;
% for the cmu_mocap data it is 62
num_features = 62;

counts = zeros(num_top,num_features);
num_rules = 10;

% alphabet_sizes = [5, 5, 7];
% trie_word_sizes = [3, 3, 2];
% averaging_intervals = [2, 4, 4];

if (print_rules)
    % load in subject 16's data
    load cmuMocap16;
end

for k = 1:num_top
    order_counts(k).counts = zeros(4, 88);
end

if (print_rules)
    global averaging_interval alphabet_size trie_word_size;
end

for top = 1:num_top
    alphabet_size = sorted_parms(top,1);
    trie_word_size = sorted_parms(top,2);
    averaging_interval = sorted_parms(top,3);
    
    this_dir = ['let', num2str(alphabet_size), '_word', num2str(trie_word_size), ...
        '_avg', num2str(averaging_interval)]
    fullPath = [rootPath, this_dir, '/']
    for fold = 1:num_folds
        disp(['on fold ', num2str(fold)]);
        
        % load the data
        load([fullPath, 'eval_rules_fold', num2str(fold)]);
        
        % and get the counts for the top rules
        for r = 1:num_rules
            if (r > length(fold_rules) | fold_rules(r).features == 0)
                continue
            else
                rule = fold_rules(r);
                for f = 1:length(rule.features);
                    counts(top, rule.features(f)) = counts(top, rule.features(f)) + 1;
                    order_counts(top).counts(f, rule.features(f)) = ...
                        order_counts(top).counts(f, rule.features(f)) + 1;
                end
            end
        end
        
        
        % print out the rules
        if (print_rules)
            disp('loading trie data...');
            % load in the data to subset
            load([fullPath, 'feature_map']);
            load([fullPath, 'tornadoTrieNewAll']);
            disp('done loading trie data...');
            
            % load in the subset tries and features
            feature_idxs = [1:num_features];
            
            for r = 1:num_rules
                fold_rules(r).pod_cross_val = 0;
                fold_rules(r).fa_ratio_cross_val = 0;
                fold_rules(r).csi_cross_val = 0;
            end
            
            example_idx = 2;
            example_label = 1;
            dir_str = ['testset_rules/fold_', num2str(fold), '/'];
            load_feature_map;
            plot_rules_combined(data, tries, fold_rules(1:num_rules), example_idx, ...
                example_label, [fullPath, dir_str], ...
                data(example_idx).pos);
        end
        
        
        
    end
end

save feature_counts counts;

% load([fullPath, 'subset_map']);
% fid = fopen('feature_counts.csv', 'w');
%
% str = ['Alphabet size, Trie word size, Averaging interval, '];
% fprintf(fid, '%s', str);
%
% for f = 1:length(feature_map)
%     fprintf(fid, '%s, ', feature_map(f).name);
% end
% fprintf(fid, '\n');
%
% for k = 1:num_top
%     alphabet_size = sorted_parms(k,1);
%     trie_word_size = sorted_parms(k,2);
%     averaging_interval = sorted_parms(k,3);
%
%     str = num2str(counts(k,:), ', %d');
%     fprintf(fid, '%d, %d, %d%s\n', alphabet_size, ...
%         trie_word_size, averaging_interval, str);
% end
%
% fclose(fid);
