% creates windowed data for both the positive and negative examples
% for the positive examples, it looks for the pressure drops and goes backward
% for the negative examples, it samples a random 30 minute interval
window_min = 30;

num_pos = 0;
num_neg = 0;
num_maybe = 0;

for p = 1:data(1).num_pos
    windows = identify_data_window(data(p).pos, window_min, 900);
    for w = 1:length(windows)

        if(windows(w).start_idx ~= 0 && windows(w).end_idx ~= 0)

            num_pos = num_pos + 1;
            
            slice = data(p).pos(:,windows(w).start_idx:windows(w).end_idx);
            new_data(num_pos).pos = slice;
            new_data(num_pos).pos_name = data(p).pos_name;
        end
    end
end

for n = 1:data(1).num_neg
   len = size(data(n).neg, 2);
   
   start_idx = max(floor(rand * (len - (window_min * 2))),1);
   end_idx = start_idx + (window_min * 2) - 1;
   
   slice = data(n).neg(:,start_idx:end_idx);
   num_neg = num_neg + 1;
   new_data(num_neg).neg = slice;
   new_data(num_neg).neg_name = data(n).neg_name;
end


for n = 1:data(1).num_maybe
   len = size(data(n).maybe, 2);
   
   start_idx = max(floor(rand * (len - (window_min * 2))),1);
   end_idx = start_idx + (window_min * 2) - 1;
   
   slice = data(n).maybe(:,start_idx:end_idx);
   num_maybe = num_maybe + 1;
   new_data(num_maybe).maybe = slice;
   new_data(num_maybe).maybe_name = data(n).maybe_name;
end

new_data(1).num_pos = num_pos;
new_data(1).num_neg = num_neg;
new_data(1).num_maybe = num_maybe;

