num_folds = 10;
read_mining_env;

% load in the data for each fold,  run rule creation, and evaluate
idx = 1;
for fold = 1:num_folds
    % Save the rules for testing purposes
    disp(['loading saved eval rules for fold ', num2str(fold), ' ...']);
    fileName = [fullPath, 'eval_rules_fold', num2str(fold)];
    load(fileName);

    if (isempty(fold_rules))
      disp('skipping fold due to no rules');
      continue
    end

    % training from cross validation
    %train_pod(idx) = fold_rules(1).pod;
    %train_far(idx) = fold_rules(1).fa_ratio;
    %train_csi(idx) = fold_rules(1).csi;
    
    
    test_pod(idx) = fold_rules(1).pod_cross_val;
    test_far(idx) = fold_rules(1).fa_ratio_cross_val;
    test_csi(idx) = fold_rules(1).csi_cross_val;
    idx = idx + 1;
end

% load in the training data from the case of training on all the data not
% just the training from the cross validation
fileName = [fullPath, 'training_rules'];
load(fileName);
train_pod = new_rules(1).pod;
train_far = new_rules(1).fa_ratio;
train_csi = new_rules(1).csi;

if (exist('train_pod', 'var'))
  disp(['Average training set pod ', num2str(train_pod)]);
  disp(['Average training set far ', num2str(train_far)]);
  disp(['Average training set csi ', num2str(train_csi)]);
  
  disp(['Average test set pod ', num2str(mean(test_pod))]);
  disp(['Average test set far ', num2str(mean(test_far))]);
  disp(['Average test set csi ', num2str(mean(test_csi))]);
  
  disp(['Number of folds that finished ', num2str(length(test_pod))]);
  
  save(['results_', this_dir], 'train_pod', 'train_far', 'train_csi', ...
       'test_pod', 'test_far', 'test_csi');
end

quit;
