function rules = find_rules(data, tries, num_pos, num_neg, pValue, maximum_rule_window, min_pod)

% finds the statistically significant rules (at the pValue threshold level)

num_features = length(tries);
rule_index = 1;
my_rules = [];

% start by examining all potential sequences.  If one looks promising, add
% other promising ones to it once the entire set has been examined.
for feature = 1:num_features
    trie = tries(feature).trie;

    % loop through each word in the trie
    % as a heuristic starting point, examine only those that 
    % have a high prob. of detection
    num_words = length(trie);
    for w = 1:num_words
        % table = build_contingency_table(trie(w), num_pos, num_neg);
        pod = trie(w).pos_counts / num_pos;
        if (pod > min_pod)
            auc(feature).aucs(w) = find_best_auc(trie(w), data, feature, num_pos, num_neg);
        end
    end
end

% 