% turns the pruned data into the right format for data mining

% good_storms = load_storm_names('discovery_storm_names.txt');
% good_storms = load_storm_names('eureka_storm_names.txt');
% good_storms = load_storm_names('exploration_storm_names.txt');
% good_storms = load_storm_names('telesto_storms.txt');
good_storms = load_storm_names('tethys_storms.txt');

num_storms = length(good_storms);

%loadData is called to read in the files
pathToFiles = '/idea-scratch/weather3/';
minStormLength = 30;

num_pos = 0;
num_neg = 0;
num_maybe = 0;

for storm = 1:num_storms
  filename = [pathToFiles, good_storms(storm).name, '/savedValues2.mat'];
  %  filename = [pathToFiles, good_storms(storm).name, '/stormValues.mat'];
  if (exist(filename, 'file'))
    load(filename);
    disp(['on storm ', good_storms(storm).name]);
  else
    disp(['skipping storm ', good_storms(storm).name]);
    continue
  end
    
    newData = prune_storms(savedValues, minStormLength);
    
    if(size(newData,1) == 0)
      disp(['storm ', good_storms(storm).name, ' has no valid storms']);
      continue;
    end
    
    labels = auto_label_storms(newData, 400, 900);

    for l = 1:length(labels)
        idxs = find(newData(:, parms.stormIndex) == labels(l).storm_num);
        
        if (labels(l).storm_type == 0)
            % negative
            num_neg = num_neg + 1;
            data(num_neg).neg = newData(idxs,:)';
            data(num_neg).neg_name = good_storms(storm).name;
            data(num_neg).neg_pp = labels(l).pp_drop;
            data(num_neg).neg_vv_max = labels(l).vv_max;
            data(num_neg).neg_vv_min = labels(l).vv_min;
            data(num_neg).neg_hws = labels(l).hws;
        elseif (labels(l).storm_type == 1)
            % positive
            num_pos = num_pos + 1;
            data(num_pos).pos = newData(idxs,:)';
            data(num_pos).pos_name = good_storms(storm).name;
            data(num_pos).pos_pp = labels(l).pp_drop;
            data(num_pos).pos_vv_max = labels(l).vv_max;
            data(num_pos).pos_vv_min = labels(l).vv_min;
            data(num_pos).pos_hws = labels(l).hws;
        else
            % human inspection needed
            disp('human help needed!');
            num_maybe = num_maybe + 1;
            data(num_maybe).maybe = newData(idxs,:)';
            data(num_maybe).maybe_name = good_storms(storm).name;
            data(num_maybe).label = labels(l).storm_type;
            data(num_maybe).maybe_pp = labels(l).pp_drop;
            data(num_maybe).maybe_vv_max = labels(l).vv_max;
            data(num_maybe).maybe_vv_min = labels(l).vv_min;
            data(num_maybe).maybe_hws = labels(l).hws;
        end
    end
end
    

data(1).num_pos = num_pos;
data(1).num_neg = num_neg;
data(1).num_maybe = num_maybe;


