alphabet_sizes = [3:8];
trie_word_sizes = [2:3];
averaging_intervals = [1:5];

fid = fopen('mining_parms_allcrossval.csv', 'w');
dirname = '/idea/mining_mocap/subject91/';

% str = ['Alphabet size, Trie word size, Averaging interval, ', ...
%        'Test pod 1, Test pod 2, Test pod 3, Test pod 4, ', ...
%        'Test pod 5, Test pod 6, Test pod 7, Test pod 8, ', ...
%        'Test pod 9, Test pod 10,' ...
%        'Test far 1, Test far 2, Test far 3, Test far 4, ', ...
%        'Test far 5, Test far 6, Test far 7, Test far 8, ', ...
%        'Test far 9, Test far 10, ' ...
%        'Test csi 1, Test csi 2, Test csi 3, Test csi 4, ', ...
%        'Test csi 5, Test csi 6, Test csi 7, Test csi 8, ', ...
%        'Test csi 9, Test csi 10'];
% fprintf(fid, '%s\n', str);
% 
for alpha_idx = 1:length(alphabet_sizes)
  for trie_idx = 1:length(trie_word_sizes)
    for avg_idx = 1:length(averaging_intervals)
      filename = [dirname, 'results_let', num2str(alphabet_sizes(alpha_idx)), ...
                  '_word', num2str(trie_word_sizes(trie_idx)), ...
                  '_avg', num2str(averaging_intervals(avg_idx)), ...
                  '.mat'];
      % open it if it exists!
      if (exist(filename, 'file'))
        load(filename);
        
        avg_train_pod = mean(train_pod);
        avg_train_far = mean(train_far);
        avg_train_csi = mean(train_csi);

        avg_test_pod = mean(test_pod);
        avg_test_far = mean(test_far);
        avg_test_csi = mean(test_csi);
        
        all_results(alphabet_sizes(alpha_idx), ...
            trie_word_sizes(trie_idx), averaging_intervals(avg_idx)) = ...
            avg_test_csi;
        alpha_nums(alphabet_sizes(alpha_idx), ...
            trie_word_sizes(trie_idx), averaging_intervals(avg_idx)) = ...
            alphabet_sizes(alpha_idx);
        trie_nums(alphabet_sizes(alpha_idx), ...
            trie_word_sizes(trie_idx), averaging_intervals(avg_idx)) = ...
            trie_word_sizes(trie_idx);
        avg_nums(alphabet_sizes(alpha_idx), ...
            trie_word_sizes(trie_idx), averaging_intervals(avg_idx)) = ...
            averaging_intervals(avg_idx);
        

        format_str = ['%d, %d, %d, ', ...
            '%f, %f, %f, %f, %f, %f, %f, %f, %f, %f, ', ...
            '%f, %f, %f, %f, %f, %f, %f, %f, %f, %f, ', ...
            '%f, %f, %f, %f, %f, %f, %f, %f, %f, %f\n'];
        
        fprintf(fid, format_str, ...
                alphabet_sizes(alpha_idx), trie_word_sizes(trie_idx), ...
                averaging_intervals(avg_idx), ...
                test_pod(:), test_far(:), test_csi(:));
      end
    end
  end
end

  
fclose(fid);

