% this is called by load_walk_run# where the # sets up the data for the subject

p_idx = 1;
n_idx = 1;
max_time = 0;

% data(k).pos needs to of dimensionality features x time series
for n = 1:length(labels)
	  fname = sprintf('/idea/cmu_mocap/subjects/%02d/%02d_%02d.amc', subject, n);

    if (labels(n) == 1)
        data(p_idx).pos = amc_to_matrix(fname)';
        data(p_idx).label = labels(n);
        data(p_idx).pos_name = fname;
        if (size(data(p_idx).pos, 2) > max_time)
            max_time = size(data(p_idx).pos,2);
        end
        p_idx = p_idx + 1;
    else
        data(n_idx).neg = amc_to_matrix(fname)';
        data(n_idx).label = labels(n);
        data(n_idx).neg_name = fname;
        if (size(data(n_idx).neg, 2) > max_time)
            max_time = size(data(n_idx).neg,2);
        end
        n_idx = n_idx + 1;
    end
end

data(1).num_pos = num_pos;
data(1).num_neg = num_neg;

% run through the data and create a padded (with NaNs) set where
% the matrices are all the same size
num_features = size(data(1).pos,1);

for p = 1:num_pos
    missing = max_time - size(data(p).pos,2);
    data(p).pos_pad = [data(p).pos, repmat([nan], num_features, missing)];
end

for n = 1:num_neg
    missing = max_time - size(data(n).neg,2);
    data(n).neg_pad = [data(n).neg, repmat([nan], num_features, missing)];
end

