function make_order_plot(counts, graph_str, disp_str, file_prefix)

global feature_map

sum_counts = sum(counts);

idxs = find(sum_counts);

[vals, sorted_idxs] = sort(sum_counts(idxs), 'ascend');

sorted_idxs2 = idxs(sorted_idxs);
% sort by the number of times each feature was found
sub_counts = counts(:,sorted_idxs2);

% make the diamond plot (now a square!)
diamond_plot_straight_axes(sub_counts, sorted_idxs2, 0, graph_str);

% print the features to the matlab interpreter
disp(disp_str);
for f = length(sorted_idxs2):-1:1
    labels{f} = feature_map(sorted_idxs2(f)).name;
    disp(['feature ', num2str(length(idxs) - f), ' counts ', ...
        num2str(sub_counts(:,f)', ' %d, '), ' total count ', ...
        num2str(sum_counts(sorted_idxs2(f))), ' is ', labels{f}]);
end
disp(' ');

% save the file
print('-depsc', file_prefix)
print('-dpng', file_prefix)
close
