% load cmuMocap91;
load cmuMocap16;
read_mining_env;

% Initialize variables
num_pos = data(1).num_pos
num_neg = data(1).num_neg

min_pod = .9;
max_far = .8;
overlap_window = 1;
depth = 1; % the depth of the rules we're looking for
feature_idxs = [1:62];
num_features = length(feature_idxs);

load_feature_map;

% sax-ify our data
disp('sax-ifying the data...');

pr = 0;
data = timeseries2symbol_matrix(data, averaging_interval, alphabet_size,pr);

save([fullPath, 'tornadoSax.mat'], 'data');
save([fullPath, 'feature_map.mat'], 'feature_map');

disp('done sax-ifying the data...');

% Build Tries
disp(['Build tries for ', num2str(num_features) ,' features']);

% build our critical magic data structure
tries = build_tries_nowindow(data, alphabet_size, feature_idxs, trie_word_size);

save([fullPath, 'tornadoTrieNewAll.mat'], 'tries', 'data');

disp(['Done building tries ']);

% quit;

