use_training_data = 0;
top_parms;
num_top = 3;

if (use_training_data)
    load all_counts;
else
    load feature_counts;
end

% look at the set of features found across all three parameter settings
sum_counts = sum(counts);
idxs = find(sum_counts);

[vals, sorted_idxs] = sort(sum_counts(idxs), 'ascend');

sorted_idxs2 = idxs(sorted_idxs);
% sort by the number of times each feature was found
sub_counts = counts(:,sorted_idxs2);

% now make the plot
barh(counts(:,sorted_idxs2)', 'stacked')
% legend('5 3 2', '5 3 4', '7 2 4');

str = {};
for k = 1:num_top
    str{k} = mat2str(sorted_parms(k,:));
end    
h = legend(str, 'Location', 'SouthEast');

set(gca, 'YTick', [1:length(idxs)]);

% create the labels for the ticks
if (use_training_data)
    disp(['Frequency plot by feature over top ', num2str(num_top), ' parameter variations, all data']);
else
    disp(['Frequency plot by feature over top ', num2str(num_top), ' parameter variations, cross validation']);    
end
for f = 1:length(sorted_idxs2)
    disp(['feature ', num2str(sorted_idxs(f)), ' counts ', ...
        num2str(sub_counts(:,f)', '%d, '), ' total count ', ...
        num2str(sum_counts(sorted_idxs2(f)))]);
end

% set(gca, 'XTickLabel', sorted_idxs2);
labels = {};
for d = 1:length(sorted_idxs2)
    labels{d} = feature_map(sorted_idxs(d)).name;
end
set(gca, 'YTickLabel', labels);
% rotateticklabel(gca);
   
xlabel('Frequency');
if (use_training_data)
    h = title(['Features found across top', num2str(num_top), ' parameter variations, all data']);
else
    h = title(['Features found across top ', num2str(num_top), ' parameter variations, cross validation']);
end

set(gca, 'FontSize', 12)
set(h, 'FontSize', 12)

if (use_training_data)
    fileName = ['frequency_training_top', num2str(num_top), '.eps'];
    print('-deps', fileName);
else
    fileName = ['frequency_crossval_top', num2str(num_top), '.eps'];
    print('-deps', fileName);
end
