tmp = load('all_counts_yes_no.mat');
top20_training_pos_neg = tmp.counts;

tmp = load('feature_counts_yes_no.mat');
top20_crossval_pos_neg = tmp.counts;

tmp = load('all_counts_yes_maybe.mat');
top20_training_pos_maybe = tmp.counts;

tmp = load('feature_counts_yes_maybe.mat');
top20_crossval_pos_maybe = tmp.counts;

top3_training_pdf_pos_neg = sum(top20_training_pos_neg(1:3,:)) ./ sum(sum(top20_training_pos_neg(1:3,:)));
top10_training_pdf_pos_neg = sum(top20_training_pos_neg(1:10,:)) ./ sum(sum(top20_training_pos_neg(1:10,:)));
top20_training_pdf_pos_neg = sum(top20_training_pos_neg(1:20,:)) ./ sum(sum(top20_training_pos_neg(1:20,:)));

top3_training_pdf_pos_maybe = sum(top20_training_pos_maybe(1:3,:)) ./ sum(sum(top20_training_pos_maybe(1:3,:)));
top10_training_pdf_pos_maybe = sum(top20_training_pos_maybe(1:10,:)) ./ sum(sum(top20_training_pos_maybe(1:10,:)));
top20_training_pdf_pos_maybe = sum(top20_training_pos_maybe(1:20,:)) ./ sum(sum(top20_training_pos_maybe(1:20,:)));

top3_crossval_pdf_pos_neg = sum(top20_crossval_pos_neg(1:3,:)) ./ sum(sum(top20_crossval_pos_neg(1:3,:)));
top10_crossval_pdf_pos_neg = sum(top20_crossval_pos_neg(1:10,:)) ./ sum(sum(top20_crossval_pos_neg(1:10,:)));
top20_crossval_pdf_pos_neg = sum(top20_crossval_pos_neg(1:20,:)) ./ sum(sum(top20_crossval_pos_neg(1:20,:)));

top3_crossval_pdf_pos_maybe = sum(top20_crossval_pos_maybe(1:3,:)) ./ sum(sum(top20_crossval_pos_maybe(1:3,:)));
top10_crossval_pdf_pos_maybe = sum(top20_crossval_pos_maybe(1:10,:)) ./ sum(sum(top20_crossval_pos_maybe(1:10,:)));
top20_crossval_pdf_pos_maybe = sum(top20_crossval_pos_maybe(1:20,:)) ./ sum(sum(top20_crossval_pos_maybe(1:20,:)));

% draw the histogram for the top 3 using cross validation
top3 = [top3_crossval_pdf_pos_neg; top3_crossval_pdf_pos_maybe];
[vals, idxs] = sort(sum(top3), 'descend');
b = top3(:, idxs);

figure(1)
h = bar(b(:,1:17)', 'hist');
set(h(1), 'FaceColor', 'b');
set(h(2), 'FaceColor', 'c');
legend('Positives versus Negatives', 'Positives versus Intermediates');
set(gca, 'FontSize', 12);
legend(gca, 'boxoff');

for t = 1:20
    crossval(t).counts = zeros(2,2);
    
    if (t > 1)
        top_pos_neg = sum(top20_crossval_pos_neg(1:t,:));
        top_pos_maybe = sum(top20_crossval_pos_maybe(1:t,:));
    else
        top_pos_neg = top20_crossval_pos_neg(1,:);
        top_pos_maybe = top20_crossval_pos_maybe(1,:);
    end        
        
    
    for a = 1:88
        if (top_pos_neg(a) == 0)
            idx1 = 1;
        else
            idx1 = 2;
        end
        
        if (top_pos_maybe(a) == 0)
            idx2 = 1;
        else
            idx2 = 2;
        end
        
        crossval(t).counts(idx1, idx2) = crossval(t).counts(idx1, idx2) + 1;
    end
    
    match = crossval(t).counts(1,1) + crossval(t).counts(2,2);
    not_match = crossval(t).counts(1,2) + crossval(t).counts(2,1);
    
    crossval(t).percentage = match / (match + not_match);
    crossval(t).chi = calc_chisquared(crossval(t).counts);

end
     

for t = 1:20
    training(t).counts = zeros(2,2);
    
    if (t > 1)
        top_pos_neg = sum(top20_training_pos_neg(1:t,:));
        top_pos_maybe = sum(top20_training_pos_maybe(1:t,:));
    else
        top_pos_neg = top20_training_pos_neg(1,:);
        top_pos_maybe = top20_training_pos_maybe(1,:);
    end        
        
    
    for a = 1:88
        if (top_pos_neg(a) == 0)
            idx1 = 1;
        else
            idx1 = 2;
        end
        
        if (top_pos_maybe(a) == 0)
            idx2 = 1;
        else
            idx2 = 2;
        end
        
        training(t).counts(idx1, idx2) = training(t).counts(idx1, idx2) + 1;
    end
    
    match = training(t).counts(1,1) + training(t).counts(2,2);
    not_match = training(t).counts(1,2) + training(t).counts(2,1);
    
    training(t).percentage = match / (match + not_match);
    training(t).chi = calc_chisquared(training(t).counts);

end

figure(2)
hold off
plot([crossval.percentage], 'b');
hold on
plot([training.percentage], 'r');
h = legend('Cross validation', 'Training set');
legend(gca, 'boxoff');
set(h, 'FontSize', 12);
xlabel('Top k settings');
ylabel('Percent agreement');
set(gca, 'FontSize', 12);

