load order_counts;

global feature_map;
load subset_map;

% load in the individual counts
counts_532 = order_counts(1).counts;
counts_534 = order_counts(2).counts;
counts_724 = order_counts(3).counts;

% look at the set of features found across all three parameter settings
all_counts = counts_532 + counts_534 + counts_724;

make_order_plot(all_counts, 'top three parameters, cross validation', ...
    'Features found in top 10 rules of top three parameter variations using 10 fold cross validation', ...
    'rule_order_all_parms');

% now make the individual plots
make_order_plot(counts_532, 'parameter variation 5 3 2, cross validation', ...
    'Features found in top 10 rules for 5 3 2 using 10 fold cross validation', ...
    'rule_order_532');

make_order_plot(counts_534, 'parameter variation 5 3 4, cross validation', ...
    'Features found in top 10 rules for 5 3 4 using 10 fold cross validation', ...
    'rule_order_534');

make_order_plot(counts_724, 'parameter variation 7 2 4, cross validation', ...
    'Features found in top 10 rules for 7 2 4 using 10 fold cross validation', ...
    'rule_order_724');

% load in the information from the runs trained entirely on training data
load('train_order_counts.mat');
train_counts_532 = train_order_counts(1).counts;
train_counts_534 = train_order_counts(2).counts;
train_counts_724 = train_order_counts(3).counts;

% look at the set of features found across all three parameter settings
train_all_counts = train_counts_532 + train_counts_534 + train_counts_724;

make_order_plot(train_all_counts, 'top three parameter variations, all data', ...
    'Features found in top 10 rules for training data on 5 3 2 , 5 3 4, 7 2 4', ...
    'rule_order_train');

% now make the individual plots
make_order_plot(train_counts_532, 'parameter variation 5 3 2, all data', ...
    'Features found in top 10 rules for 5 3 2, all data', ...
    'rule_order_train_532');

make_order_plot(train_counts_534, 'parameter variation 5 3 4, cross validation', ...
    'Features found in top 10 rules for 5 3 4, all data', ...
    'rule_order_train_534');

make_order_plot(train_counts_724, 'parameter variation 7 2 4, cross validation', ...
    'Features found in top 10 rules for 7 2 4, all data', ...
    'rule_order_train_724');

