% plot all the distributions of all the data variables as a histogram

load feature_map;

for f = 1:size(feature_map,2)
    clear pos neg;
    
    for k = 1:data(1).num_pos
        pos(k,:) = data(k).pos(f,:);
    end
    
    for k = 1:data(1).num_neg
        neg(k,:) = data(k).neg(f,:);
    end
    
    dist = [pos; neg];
    hist(dist(:));
    title(feature_map(f).name);
    xlabel(feature_map(f).units);
    filename = ['feature_', num2str(f), '.eps'];
    print('-depsc', filename);
end
