% load the data
read_mining_env;

min_pod = 0.85;
max_far = .35;
% subject 16
% min_pod = 0.8;
% max_far = .4;
overlap_window = 1;
depth = 4;
num_folds = 10;
max_save_rules = 10;

disp('loading data...');
load([fullPath, 'tornadoTrieNewAll.mat']);
load([fullPath, 'feature_map.mat']);

disp('finding rules on all data...');
new_rules = find_valid_rules(data, tries, min_pod, ...
    max_far, overlap_window, depth);

% Save the rules for testing purposes
disp('saving rules...');
fileName = [fullPath, 'training_rules'];
if (size(new_rules,2) > 100)
    new_rules = new_rules(1:100);
end
save(fileName, 'new_rules');

quit;
