% load the data
read_mining_env;

fold = str2num(getenv('FOLD'));
if (isempty(fold))
  disp('You need to pass in the fold');
  fold = 1;
end
disp(['Running on fold ', num2str(fold)]);
  
min_pod = 0.85;
max_far = .35;
overlap_window = 1;
depth = 4;
num_folds = 10;
max_save_rules = 10;

% rules = cell(10,1);
% load in the data for each fold,  run rule creation, and evaluate
%for fold = 1:num_folds
% for fold = 3:3
    fileName = [fullPath, 'train_test_fold', num2str(fold)]
    if (~exist([fileName, '.mat'], 'file'))
        disp(['Creating data for fold ', num2str(fold)]);
        [train_data, train_tries, test_data, test_tries] = ...
            load_fold(fold, num_folds, fullPath);

        disp('saving out training/test data...');
        save(fileName, 'train_data', 'train_tries', 'test_data', 'test_tries');
    else
        disp(['Loading data for fold ', num2str(fold)]);
        load(fileName);
    end
    
    disp(['there are ', num2str(test_data(1).num_pos), ...
          ' positives in the test data']);
    disp(['there are ', num2str(test_data(1).num_neg), ...
          ' neg in the test data']);
    disp(['there are ', num2str(train_data(1).num_pos), ...
          ' positives in the train data']);
    disp(['there are ', num2str(train_data(1).num_neg), ...
          ' neg in the train data']);
        
    disp('finding rules...');
    new_rules = find_valid_rules(train_data, train_tries, min_pod, ...
        max_far, overlap_window, depth);
    
    % Save the rules for testing purposes
    disp('saving rules...');
    fileName = [fullPath, 'rules_fold', num2str(fold)];
    save(fileName, 'new_rules');

    % Calculate the statistics for the rules on the test data
    disp('evaluating rules on test set...');
    fold_rules = [];
    for r = 1:min(length(new_rules), max_save_rules)
        rule = test_rule(new_rules(r), test_data, test_tries, alphabet_size, overlap_window);
        if(rule.exist ~= 0)
            % rules{fold} = [rules{fold}, rule];
            fold_rules = [fold_rules, rule];
        end
    end
    
    % Save the rules for testing purposes
    disp('saving eval rules...');
    fileName = [fullPath, 'eval_rules_fold', num2str(fold)];
    save(fileName, 'fold_rules');
    
% end

% disp('saving all rules (cell array)');
% fileName = [pathName, 'all_rules'];
% save(fileName, 'rules');

quit;
