load eurekaTornadoData;
eur_data = data;

load discoveryTornadoData;
dis_data = data;

load explorationTornadoData;
exp_data = data;

idx = 1;
for p = 1:eur_data(1).num_pos
  pos(idx).name = eur_data(p).pos_name;
  pos(idx).pp_drop = eur_data(p).pos_pp;
  pos(idx).machine_name = 'eureka';
  idx = idx + 1;
end

for p = 1:dis_data(1).num_pos
  pos(idx).name = dis_data(p).pos_name;
  pos(idx).pp_drop = dis_data(p).pos_pp;
  pos(idx).machine_name = 'discovery';
  idx = idx + 1;
end

for p = 1:exp_data(1).num_pos
  pos(idx).name = exp_data(p).pos_name;
  pos(idx).pp_drop = exp_data(p).pos_pp;
  pos(idx).machine_name = 'exploration';
  idx = idx + 1;
end

drops = [pos.pp_drop];

[vals, idxs] = sort(drops);

disp('Positive storms');
for p = 1:length(idxs)
  disp(['Storm ', pos(idxs(p)).name, ' had a pp drop of ', ...
        num2str(pos(idxs(p)).pp_drop, '%6.2f'), ...
        ' and is on machine ', pos(idxs(p)).machine_name]);
end

idx = 1;
for p = 1:eur_data(1).num_maybe
  maybe(idx).name = eur_data(p).maybe_name;
  maybe(idx).pp_drop = eur_data(p).maybe_pp;
  maybe(idx).machine_name = 'eureka';
  idx = idx + 1;
end

for p = 1:dis_data(1).num_maybe
  maybe(idx).name = dis_data(p).maybe_name;
  maybe(idx).pp_drop = dis_data(p).maybe_pp;
  maybe(idx).machine_name = 'discovery';
  idx = idx + 1;
end

for p = 1:exp_data(1).num_maybe
  maybe(idx).name = exp_data(p).maybe_name;
  maybe(idx).pp_drop = exp_data(p).maybe_pp;
  maybe(idx).machine_name = 'exploration';
  idx = idx + 1;
end

drops = [maybe.pp_drop];

[vals, idxs] = sort(drops);

disp('Maybe storms');
for p = 1:length(idxs)
  disp(['Storm ', maybe(idxs(p)).name, ...
        ' had a pp drop of ', num2str(maybe(idxs(p)).pp_drop), ...
        ' and is on machine ', maybe(idxs(p)).machine_name]);
end

idx = 1;
for p = 1:eur_data(1).num_neg
  neg(idx).name = eur_data(p).neg_name;
  neg(idx).pp_drop = eur_data(p).neg_pp;
  neg(idx).machine_name = 'eureka';
  idx = idx + 1;
end

for p = 1:dis_data(1).num_neg
  neg(idx).name = dis_data(p).neg_name;
  neg(idx).pp_drop = dis_data(p).neg_pp;
  neg(idx).machine_name = 'discovery';
  idx = idx + 1;
end

for p = 1:exp_data(1).num_neg
  neg(idx).name = exp_data(p).neg_name;
  neg(idx).pp_drop = exp_data(p).neg_pp;
  neg(idx).machine_name = 'exploration';
  idx = idx + 1;
end

drops = [neg.pp_drop];

[vals, idxs] = sort(drops);

disp('Negative storms');
for p = 1:length(idxs)
  disp(['Storm ', neg(idxs(p)).name, ...
        ' had a pp drop of ', num2str(neg(idxs(p)).pp_drop), ...
        ' and is on machine ', neg(idxs(p)).machine_name]);
end

