function rules = sort_rules(rules, flag)

% Sort rules sorts the rules according to CSI. The flag indicates
% whether the rules should be sorted based on the cross-validated
% csi (flag == 1) or on the CSI calculated when the rule was
% generated (flag == 0). 

idxs = (1:length(rules))';

if(flag == 0)
   csi = [rules.csi]';
elseif(flag == 1)
     csi = [rules.csi_cross_val]';
end
   
[csi, sorted_idxs] = sort([idxs, csi], 'descend');
idxs = sorted_idxs(:,2);

for idx = 1:length(idxs)
    sorted_rules(idx) = rules(idxs(idx));
end

rules = sorted_rules;
