function [new_tries, new_feature_map, new_data] = ...
    subset_tries(tries, feature_map, data, feature_idxs)
% takes a set of tries, feature_map, and data and gets rid of all data not
% associated with the features in feature_idxs

for f = 1:length(feature_idxs)
   new_tries(f) = tries(feature_idxs(f));
   new_feature_map(f) = feature_map(feature_idxs(f));
end

new_data = data;

for p = 1:new_data(1).num_pos
    new_data(p).pos = data(p).pos(feature_idxs, :);
    new_data(p).discrete_pos = data(p).discrete_pos(feature_idxs);
end

for p = 1:new_data(1).num_neg
    new_data(p).neg = data(p).neg(feature_idxs, :);
    new_data(p).discrete_neg = data(p).discrete_neg(feature_idxs);
end
